Bug 162116 - genkey generates localhost.cert but localhost.crt is needed
genkey generates localhost.cert but localhost.crt is needed
Product: Fedora
Classification: Fedora
Component: crypto-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elio Maldonado Batiz
: Reopened
: 501594 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-06-29 21:19 EDT by Per Bothner
Modified: 2010-10-14 14:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-28 06:20:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fixed the certificate suffix to be .crt as Apache expects it (679 bytes, patch)
2009-05-20 11:42 EDT, Elio Maldonado Batiz
no flags Details | Diff

  None (edit)
Description Per Bothner 2005-06-29 21:19:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.8b2) Gecko/20050527 Firefox/1.0+

Description of problem:
Running: genkey --days 700 localhost
creates /etc/pki/tls/certs/localhost.cert.
However, the rest of the system seems to want localhost.crt.
Evidence for the this is: /etc/httpd/conf.d/ssl.conf and /etc/pki/tls/certs/Makefile
Renaming the file seems to fix it.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1. remove/rename  /etc/pki/tls/{certs/localhost.key,private/localhost.key}
   if needed.
2. as root: genkey --days 700 localhost

Actual Results:  Note the presence of /etc/pki/tls/certs/localhost.cert.

Expected Results:  Should have created /etc/pki/tls/certs/localhost.crt.

Additional info:

I marked the bug as "Normal", though there is an easy work-around, because:
(1) figuring out how to generate certificates is confusing and poorly
documented (are they any current HOWTOs?), so let's remove this annoying hurdle.
(2) It's trivial to fix the genkey script.
(That is, unless there is some reason why it sometimes is ".cert" and sometimes ".crt".  I hope not - this is all mysterious enough as it is!)
Comment 1 Christian Iseli 2007-01-22 06:38:27 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 2 petrosyan 2008-02-17 14:54:47 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.
Comment 3 Elio Maldonado Batiz 2009-05-19 20:00:43 EDT
The current version has the same incorrect suffix. I'm reopening this bug and assigning it myself. Will fix in Rawhide for Fedora 12.
Comment 4 Elio Maldonado Batiz 2009-05-20 11:42:01 EDT
Created attachment 344833 [details]
Fixed the certificate suffix to be .crt as Apache expects it
Comment 5 Elio Maldonado Batiz 2009-05-22 12:17:53 EDT
In F-11 the suffix is already correct. I fixed for devel and F-10. It should show up in Fedora-10 test updates in a few days. You may get it now from http://koji.fedoraproject.org/koji/buildinfo?buildID=103064.
Comment 6 Elio Maldonado Batiz 2009-05-24 12:31:39 EDT
Package: crypto-utils
NVR: crypto-utils-2.4.1-21
User: bodhi
Status: complete
Tag Operation: moved
From Tag: dist-f10-updates-candidate
Into Tag: dist-f10-updates-testing

crypto-utils-2.4.1-21 successfully moved from dist-f10-updates-candidate into dist-f10-updates-testing by bodhi
Comment 7 Bug Zapper 2009-06-09 05:07:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 8 Matt Castelein 2009-06-24 15:51:00 EDT
Why is this waiting for fedora 12 instead of an update to 11?
Comment 9 Elio Maldonado Batiz 2009-06-24 17:03:30 EDT
This isn't waiting for anything. It has been corrected on fedora 11, and consequently on 12 (devel), since crypto-utils where changed to use NSS. For some reason the fix wasn't in 10. On Fedora 10 it has been pushed to stable, as per 
I'm setting the status now to modified.
Comment 10 Matt Castelein 2009-06-30 20:45:35 EDT
*** Bug 501594 has been marked as a duplicate of this bug. ***
Comment 11 Bug Zapper 2010-04-27 07:37:15 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 12 Bug Zapper 2010-06-28 06:20:40 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.